# Awesome Hugo

A curated list of awesome things related to Hugo. The world's fastest framework for building websites. [<img src="hugo-logo-wide.svg" align="right" width="250">](https://github.com/zeit/next.js)



## Contents

- [Resources](#resources)
- [Projects Using Hugo](#projects-using-hugo)  
<!-- - [Tools](#tools)
- [Components & Libraries](#components--libraries)
- [Plugins](#plugins)
- [Demos & Samples](#demos--samples) -->



## Resources

### Official

- [Github](https://github.com/gohugoio/hugo)
- [Twitter](https://twitter.com/GoHugoIO)
- [Website](https://gohugo.io/) 
    - [News](https://gohugo.io/news/) 
    - [Docs](https://gohugo.io/documentation/) 
    - [Themes](https://themes.gohugo.io/) 
- [Discussion Forum](https://discourse.gohugo.io/) 
- [Gitter Channel (for Hugo development discussion only)](https://gitter.im/spf13/hugo) 


    
## Tools

- [Docker Image for Hugo](https://github.com/cibuilds/hugo)
- [Discussion Forums](https://discuss.gohugo.io/)
- [Victor Hugo (starter repo for using Webpack)](https://github.com/netlify/victor-hugo)
- [Hugo Webpack Boilerplate](https://github.com/vseventer/hugo-webpack-boilerplate)
- [Hugo + Gulp starter project](https://github.com/jbrodriguez/hugulp)
- [Hugo Starter with Gulp Asset Pipeline, SVG Icons, partials for global components, metadata, and social.](ttps://github.com/rdwatters/hugo-starter)
- [Hugo CLI](https://www.npmjs.com/package/hugo-cli)
- [Configure Hugo to Ingest into Elasticsearch](https://docs.bonsai.io/docs/hugo)
- [Atlas: Hugo boilerplate](https://github.com/indigotree/atlas) 


## Projects using Hugo

- [Madewithover.com](https://madewithover.com/)
- [Vote.gov](https://vote.gov/) [(repo)](https://github.com/18F/vote-gov)
- [Financial Times CFA Institute](https://cfainstitute.ft.com/)
- [Visit Paris Region](https://www.visitparisregion.com/en/)
- [Tomango](https://www.tomango.co.uk/) [(repo)](https://github.com/trys/tomango-2018)
- [Visual Cinnamon](http://www.visualcinnamon.com)
- [Virginia.gov](https://www.virginia.gov)
- [Tapfiliate](https://tapfiliate.com)
- [Smallmultiples](https://smallmultiples.com.au)
- [Datadoghq](https://www.datadoghq.com/) [(repo)](https://github.com/DataDog/documentation)
- [Hartwell Insurance](https://www.hartwell-insurance.com/)
- [Let's Encrypt](https://letsencrypt.org/) [(repo)](https://github.com/letsencrypt/website)
- [Brightline Initiative](https://www.brightline.org/)
- [Netlify](https://www.netlify.com/)
- [Pretty Fly FPV](https://prettyflyfpv.com)
- [Forestry.io](https://forestry.io/) [(repo)](https://github.com/forestryio/forestry.io)
- [Crossref](https://www.crossref.org/)
- [Boris FX](http://borisfx.com/)
- [1Password](https://1password.com)
- [Smashing Magazine](https://www.smashingmagazine.com/)
- [Linking Art Gallery](http://www.linkingart.gallery/)
- [Cinematt](https://cinematt.photography) [(repo)](https://github.com/matfin/cinematt)
- [Boomtown Fair](http://www.boomtownfair.co.uk/)
- [labs.usa.gov](https://labs.usa.gov/)
- [Forest Giant](https://www.forestgiant.com/)
- [eSolia](http://esolia.com/)  


## Articles

- [Interview with Bjørn Erik Pedersen, Hugo lead developer](https://www.thenewdynamic.org/article/2017-10-03-interview-hugo-lead-developer/)
- [Installing Hugo and Hosting on OpenBSD server](https://bsdboy.ml/posts/installing-hugo-and-hosting-website/) by Neeraj 
- [WordPress to Static Site Generator (Hugo) Migration and Deployment](https://hackernoon.com/wordpress-to-static-site-generator-hugo-migration-and-deployment-788a69b93e66) by Phong Huynh 
- [Hugo Multilingual Part 2: Strings localization](https://regisphilibert.com/blog/2018/08/hugo-multilingual-part-2-i18n-string-localization/) by Régis Philibert 
- [How I migrated this website articles from Jekyll to Hugo](https://simpleit.rocks/golang/hugo/migrating-a-jekyll-blog-to-hugo/) by Marcelo Canina 
- [Why I keep Hugo in my Repository and How I Update it with Python](https://www.bryanklein.com/blog/hugo-update-script-and-binaries-in-repository/) by Bryan Klien 
- [Gatsby vs Hugo, a detailed comparison](https://learnitmyway.com/gatsby-vs-hugo/) by Developer Davo 
- [Hugo tips: How to create author pages](https://www.netlify.com/blog/2018/07/24/hugo-tips-how-to-create-author-pages/) by Irene Morente, Netlify 
- [Hugo Pipes' Revolution](https://regisphilibert.com/blog/2018/07/hugo-pipes-and-asset-processing-pipeline/) by Régis Philibert 
- [How to use Hugo template variables in SCSS files (in 2018)](https://blog.fullstackdigital.com/how-to-use-hugo-template-variables-in-scss-files-in-2018-b8a834accce) by Ben Bozzay 
- [How to cache-bust and concatenate JS and SASS files with Hugo in 2018](https://blog.fullstackdigital.com/how-to-cache-bust-and-concatenate-js-and-sass-files-with-hugo-in-2018-9266fd3c411e) by Ben Bozzay 
- [Create a blog using pre-built Serverless Components and Hugo](https://serverless.com/blog/how-to-create-blog-using-components-hugo/) by Rupak Ganguly 
- [Enhance Your Hugo JSON API Using Custom Output Formats and Netlify Redirects](https://forestry.io/blog/hugo-json-api-part-2/) by Régis Philibert, Forestry.io 
- [How to move from Medium to static hosting with Jekyll or Hugo](https://clipperhouse.com/how-to-move-from-medium-to-static-hosting-with-jekyll-or-hugo/) by Matt Sherman 
- [Hugo, Python and Sheets, Oh My!](https://www.bryanklein.com/blog/hugo-python-gsheets-oh-my/) by Bryan Klein 
- [Build a JSON API With Hugo's Custom Output Formats](https://forestry.io/blog/build-a-json-api-with-hugo/) by Régis Philibert, Forestry 
- [Subscription form for Hugo with FlowXO and Mailgun](http://code.krister.ee/subscription-form-for-hugo-with-flowxo-and-mailgun/) by Krister Viirsaar 
- [ Hugo Snippets and Code Examples](https://it.knightnet.org.uk/kb/hugo/hugo-snippets/) by Julian Knight 
- [Better Relationships in Hugo](https://regisphilibert.com/blog/2018/04/hugo-optmized-relashionships-with-related-content/) by Régis Philibert 
- [Using Python, Webtask.io, Stripe, and Hugo for charity Fundraising pages](https://www.bryanklein.com/blog/python-webtask-stripe-and-hugo-for-charity-fundraising-pages/) by Bryan Klein 
- [Client side searching for Hugo.io with Fuse.js](https://gist.github.com/eddiewebb/735feb48f50f0ddd65ae5606a1cb41ae) by Eddie Webb 
- [Hugo: Leaf and Branch Bundles](https://scripter.co/hugo-leaf-and-branch-bundles/) by Kaushal Modi 
- [Content Groups in Hugo for Google Analytics](https://brunoamaral.eu/post/content-groups-in-hugo/) by Bruno Amaral 
- [Hugo vs Jekyll: Benchmarked](https://forestry.io/blog/hugo-vs-jekyll-benchmark/) by Chris Macrae, Forestry.io 
- [How to setup automatic Hugo website generation and deployment with Git](https://lobotuerto.com/blog/how-to-setup-automatic-hugo-website-generation-and-deployment-with-git/) by Víctor Adrián 
- [Hugo Page Resources](https://regisphilibert.com/blog/2018/01/hugo-page-resources-and-how-to-use-them/) by Régis Philibert 
- [How to build custom Hugo pagination](https://glennmccomb.com/articles/how-to-build-custom-hugo-pagination/) by Glenn McComb 
- [Hugo Web Development Workflow on Windows](https://www.ashwinnarayan.com/post/hugo-windows-workflow/) by Ashwin Narayan 
- [Hugo + Staticman: Nested Replies and E-mail Notifications](https://networkhobo.com/2017/12/30/hugo---staticman-nested-replies-and-e-mail-notifications/) by Dan C Williams 
- [Hugo Translator](https://regisphilibert.com/blog/2017/04/hugo-go-template-translator-explained-understanding/) by Régis Philibert 
- [Notes about migrating to Hugo](http://arslan.io/2017/11/30/notes-about-migrating-to-hugo/) by Fatih Arslan 
- [Hugo and Madoko in a Custom Docker Image for GitLab CI/CD](https://bryanklein.com/blog/hugo-and-madoko-in-a-gitlab-custom-docker-image/) by Brian Klein 
- [Awesome Hugo Boilerplates](https://habd.as/awesome-hugo-boilerplates/) by Josh Habdas 
- [Hugo Templates for WordPress Designers](http://blog.teamtreehouse.com/hugo-templates-wordpress-designers) by Leon Barnard, Treehouse Blog 
- [Hugo Hosting with KeyCDN](https://www.keycdn.com/support/hugo-hosting/) by KeyCDN 
- [Implementing a Series in Hugo](http://www.joesacher.com/blog/2017/08/03/implementing-series-in-hugo/) by Joe Sacher 
- [Generating Comments on Static Sites with Staticman](http://tosbourn.com/generating-comments-on-static-sites-with-staticman/) by tosbourn 
- [A Gentle Introduction to Creating a Minimal Hugo Site](http://arunrocks.com/minimal-hugo-site-tutorial/) by Arun Ravindran 
- [Automating Static Website Deployment, Part 1](http://computersfearme.com/post/automate-website-updates-part1/) by AlphaGeek 
- [Embed your typeform on Hugo sites](https://www.typeform.com/help/embed-typeform-hugo-sites/) by Typeform 
- [Switching to Hugo from Nikola](https://sadanand-singh.github.io/posts/nikola2hugo/) by Sadanand Singh 
- [Building a JAMstack site with Hugo and Azure Functions](http://conductofcode.io/post/building-a-jamstack-site-with-hugo-and-azure-functions/) by Henrik Lau Eriksson 
- [Deploying Hugo on Bluemix](https://dev.to/greyhoundforty/deploying-hugo-on-bluemix) by Ryan Tiffany, dev.to 
- [Migrating from Jekyll+Github Pages to Hugo+Netlify](https://www.sarasoueidan.com/blog/jekyll-ghpages-to-hugo-netlify/) by Sara Soueidan 
- [HBuild, Test, And Deploy Statically Generated Websites With Hugo](https://circleci.com/blog/build-test-deploy-hugo-sites/) by Ricardo Feliciano, CircleCI 
- [Delaying Disqus comments to save (a ton of) requests](https://blog.kulman.sk/delaying-disqus-comments-to-save-requests/) by Igor Kulman 
- [Creating a JSON Feed for Hugo](https://www.raymondcamden.com/2017/05/18/creating-a-json-feed-for-hugo/) by Raymond Camden 
- [Migrate from Octopress to Hugo](http://pisarenko.net/blog/2017/04/28/hugo-static-site-generator/) by Sergey Pisarenko 
- [Converting WordPress Export File to Hugo](https://eklausmeier.wordpress.com/2017/04/24/converting-wordpress-export-file-to-hugo/) by Elmar Klausmeier 
- [Replacing Disqus with Github Comments](http://donw.io/post/github-comments/) by Don Williamson 
- [Hugulp, a Hugo + Gulp toolchain](https://medium.com/@juanbrodriguez/hugulp-a-hugo-gulp-toolchain-94f72ccc3577) by Juan B. Rodriguez 
- [Getting Hugo running on Netlify](https://medium.com/@richlitt/getting-hugo-running-on-netlify-947eb00a2cbd) by Richard Littauer 
- [Hugo Easy Gallery](https://www.liwen.id.au/heg/) by Li-Wen Yip 
- [Hugo .Scratch explained](https://regisphilibert.com/blog/2017/04/hugo-scratch-explained-variable/) by Régis Philibert 
- [Dealing with version conflicts between Hugo and Netlify](https://www.adamwills.io/blog/hugo-version-issues-netlify/) by Adam Wills 
- [Go static: 5 reasons to try JAMstack on your next project.](https://builtvisible.com/go-static-try-jamstack/) by Tom Bennet, Builtvisible 
- [Enabling offline usage of a Hugo site (PWA)](http://rac.su/post/hugo/pwa/) by Michel Racic 
- [Twitter cards partials for Hugo](https://gohugohq.com/partials/twitter-cards-partials-for-hugo/) by GoHugoHQ 
- [Autolinking shortcode through articles](https://gohugohq.com/partials/autolinking-shortcode-for-articles/) by GoHugoHQ 
- [Go offline! Service Worker and Hugo](https://gohugohq.com/howto/go-offline-with-service-worker/) by gohugohq 
- [Installing bleeding edge Hugo + Goorgeous](https://scripter.co/installing-bleeding-edge-hugo-goorgeous/) by Kaushal Modi 
- [Compare date strings in hugo](https://gohugohq.com/howto/compare-date-strings-in-hugo/) by GoHugoHQ 
- [How to schedule posts for static site generators (Jekyll, Hugo, Phenomic etc.)](https://serverless.com/blog/static-site-post-scheduler/) by David Wells 
- [Activity Calendar Partial](https://gohugohq.com/partials/activity-calendar-posts/) by GoHugoHQ 
- [How to create a first-letter indexed list](https://gohugohq.com/howto/hugo-create-first-letter-indexed-list/) by GoHugoHQ 
- [Zero to HTTP/2 with AWS and Hugo - habd.as](https://habd.as/zero-to-http-2-aws-hugo/) by Josh Habdas 
- [An Example of a Static Site with a Dynamic Calendar · Raymond Camden](https://www.raymondcamden.com/2017/02/24/an-example-of-a-static-site-with-a-dynamic-calendar) by Raymond Camden 
- [Them's Good Broth! | Adding Isso Comments To Hugo](https://stiobhart.net/2017-02-24-isso-comments/) by Stíobhart Matulevicz 
- [Hugo dateFormat](https://gohugohq.com/howto/hugo-dateformat/) by GoHugoHQ 
- [Deploy a Hugo site to Aerobatic with CircleCI](https://www.aerobatic.com/blog/hugo-github-circleci/) by Aerobatic 
- [NPM scripts for building and deploying Hugo sites](https://www.aerobatic.com/blog/hugo-npm-buildtool-setup/) by Aerobatic 
- [NPM scripts for building and deploying Hugo sites](https://www.aerobatic.com/blog/hugo-npm-buildtool-setup/) by Aerobatic 
- [Choose Hugo Over Jekyll - habd.as](https://habd.as/choose-hugo-over-jekyll/) by Josh Habdas 
- [How to show related posts in Hugo](https://novelist.xyz/tech/related-posts-in-hugo/) by Peter Y. Chuang 
- [Serve static websites with Caddy web server](https://novelist.xyz/tech/caddy-webserver/) by Peter Y. Chuang 
- [HugoPhotoSwipe](https://gertjanvandenburg.com/blog/hugophotoswipe/) by Gertjan van den Burg 
- [Hosting Hugo on GitLab](https://bryanklein.com/blog/hugo-site-on-gitlab/) by Bryan Klein 
- [AWS Lambda Static Site Generator Plugins - Alestic.com](https://alestic.com/2016/10/aws-static-site-generator-plugins/) by Eric Hammond 
- [Convert an Existing Site into Hugo](http://whipperstacker.com/2016/09/22/convert-an-existing-site-into-hugo/) by Katrina Owen 
- [Moving to a static site](https://davidyat.es/2016/08/19/moving-to-a-static-site/) by David Yates 
- [Better TeX math typesetting in Hugo](http://latkin.org/blog/2016/08/07/better-tex-math-typesetting-in-hugo/) by Lincoln 
- [Limitations of Hugo's Date Format Templating](https://www.madboa.com/blog/2016/08/24/hugo-dateformat/) by Paul Heinlein 
- [Considerations when converting from WordPress.com to Hugo](https://eklausmeier.wordpress.com/2016/06/13/considerations-when-converting-from-wordpress-com-to-hugo/) by Elmar Klausmeier 
- [How to use Data Files in Hugo: an example](https://novelist.xyz/tech/hugo-data-files/) by Peter Y. Chuang 
- [A reactive serverless cms for the technology blog · Razorfish Technology Blog](http://technology.razorfish.com/2016/05/06/a-reactive-serverless-cms-for-the-technology-blog/index.html) by Razorfish 
- [Leverage shortcodes in Hugo](https://jpescador.com/blog/leverage-shortcodes-in-hugo/) by Julio Pescador 
- [Switching to Aerobatic Static Site Hosting](https://serverlesscode.com/post/aerobatic-static-site-hosting-conversion/) by Ryan Brown, Serverless Code 
- [Tips and tricks for building a theme in Hugo](https://medium.com/@jeffmcmorris/tips-and-tricks-for-building-a-theme-in-hugo-4806bdd747d7) by Jeff McMorris 
- [Minify Hugo Generated HTML · Ratson](https://ratson.name/blog/minify-hugo-generated-html/)
- [Working with Hugo's Internal Partial Templates: twitter-cards](http://brendan-quinn.xyz/post/working-with-hugos-internal-partial-templates-twitter-cards/) by Brendan Quinn 
- [Developing a Static Site Generator Workflow](http://www.sitepoint.com/developing-a-static-site-generator-workflow/) by Thomas Peham, Sitepoint 
- [Implementing blog theme bells and whistles in Hugo: pagination, pages, related posts, and tag lists](http://justindunham.net/blog-bells-and-whistles-in-hugo/) by Justin Dunham 
- [How to host Hugo static website generator on AWS Lambda](http://bezdelev.com/post/hugo-aws-lambda-static-website/) by Ilya Bezdelev 
- [Deploy your blog to github pages automatically using Hugo and Travis](http://rcoedo.com/post/hugo-static-site-generator/) by Roman Coedo 
- [The World’s Greatest (Free) Static Site Builders / Generators](http://slideshow-s9.github.io/demos/staticgen.html#1) by Vienna.html 
- [Static Website Generators Reviewed: Jekyll, Middleman, Roots, Hugo](http://www.smashingmagazine.com/2015/11/static-website-generators-jekyll-middleman-roots-hugo-review/) by Mathias Biilmann, Smashing Magazine 
- [How To Install and Use Hugo, a Static Site Generator, on Ubuntu 14.04](https://www.digitalocean.com/community/tutorials/how-to-install-and-use-hugo-a-static-site-generator-on-ubuntu-14-04/) by Justin Ellingwood 
- [Hugo Continuous Integration with Wercker and Bitbucket](http://www.aerobatic.com/blog/hugo-continuous-integration-with-wercker-aerobatic-and-bitbucket.html) by Aerobatic 
- [Hands on Experience with Hugo as a Static Site Generator](http://usersnap.com/blog/hands-on-experience-with-hugo-static-site-generator/) by Thomas Peham, Usersnap 
- [Static sites go all Hollywood](https://speakerdeck.com/philhawksworth/static-sites-go-all-hollywood/) by Phil Hawksworth 
- [Static Site E-Commerce (part 3): Integrating Snipcart with Hugo](https://snipcart.com/blog/snipcart-hugo-integration/) by Snipcart 
- [Why Hugo? A static site generator optimized for performance](http://esolia.pro/en/why-did-esolia-choose-hugo/) by Rick Cogley, eSolia 
- [Hugo on Netlify — Insanely Fast Deploys](https://www.netlify.com/blog/2015/07/30/hugo-on-netlify-insanely-fast-deploys/) by Netlify 
- [Bleve Search for Hugo Sites](http://www.blevesearch.com/news/Site-Search/) by Bleve 
- [How To Use NPM As A Build Tool With Hugo - The Codestead](http://thecodestead.com/post/how-to-use-npm-as-a-build-tool-with-hugo/) by Isaac Gregson 
- [Static Websites with Hugo on Google Cloud Storage](http://www.moxie.io/post/static-websites-with-hugo-on-google-cloud-storage/) by Moxie Input/Output 
- [Deploying Static Sites to CloudFront](https://jamesturk.net/posts/deploying-hugo-to-cloudfront/) by James Turk 
- [Making Content Editors and Web Developers Happy Again ](http://code.makery.ch/blog/making-content-editors-and-web-developers-happy/) by Code.Makery 
- [Moving from jekyll to Hugo](http://fredrikloch.me/post/moving_jekyll_hugo/) by Fredrik Loch 
- [Hugo, another performance perspective](http://fredrikloch.me/post/another-performance-perspective/) by Fredrik Loch 
- [Major Release for Hugo](https://github.com/spf13/hugo/releases/) by Steve Francia 
- [Comparing Static Site Engines](https://youtu.be/R-fJWOO1bjE) by Brian Rinaldi at SFHTML5 
- [Static Site Generators are Overkill](http://thecodebarbarian.com/2015/02/06/static_site_generators) by Valeri Karpov 
- [6 Static Blog Generators That Aren’t Jekyll](http://www.sitepoint.com/6-static-blog-generators-arent-jekyll/) by David Turnbull, Sitepoint 
- [Jekyll and it&#39;s alternatives from a site generation point of view](ttp://fredrikloch.me/post/2014-08-12-Jekyll-and-its-alternatives-from-a-site-generation-point-of-view/) by Fredrik Loch 

- [Hugo: Beyond the Defaults](https://npf.io/2014/08/hugo-beyond-the-defaults/) by Nate Finch 
